Bug 109264 - Insert Audio or Video fails when file name contains a square bracket
Summary: Insert Audio or Video fails when file name contains a square bracket
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Media
  Show dependency treegraph
 
Reported: 2017-07-21 19:25 UTC by WhoIsRich
Modified: 2019-03-16 10:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description WhoIsRich 2017-07-21 19:25:18 UTC
Steps to re-create:

- Launch Impress, start a new presentation, Insert, Audio or Video, and select a file.

- If file name contains a single square bracket [ ] in the name, it will say "The format of the selected file is not supported". The same file without square brackets will import successfully.

- It affects both audio and video files, and the position of the square bracket does not seem to matter. Other brackets such as curly braces and parenthesis work fine.

- This issue can obviously lead you think the file is encoded wrongly or you don't have the correct codecs.

- I have tested this on 3 different Windows 10 PCs, one of which was a fresh install with no codec packs, so only native WMV support, and same issue occurs when a square bracket was in the WMV file name.
Comment 1 tommy27 2017-07-23 07:08:41 UTC
I confirm issue under Win7x64 using LibO 5.3.4.2 and 6.0.0.0.alpha0+
Build ID: d7a2fd3e8262b8897ad06f01f25f46330e050e0c
CPU threads: 8; OS: Windows 6.1; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-07-20_08:26:15
Locale: it-IT (it_IT); Calc: group
Comment 2 WhoIsRich 2017-07-23 22:23:42 UTC
Downloaded LibreOffice 3.3.0 and 4.0.0.1 ( where option is 'Insert, Movie and Sound' ) and they have the same bug, so this is not a recent regression.

Tested on Ubuntu and it works fine, so seems to be Windows specific.
Comment 3 QA Administrators 2018-07-25 02:39:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug